Summary
Get Device Backup
Description
Retrieves single backup document by id
Route
GET /configuration_manager/backups/:id
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Backup's id |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| backup |
object |
JSON object that contains the backed up configuration |
Copied to Clipboard
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "ut voluptate occaecat",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"4a2b283e292d94db2a9a373b",
"54810bad4385fff8cded9048",
"f36dd2101ae8c123136617d0",
"e689c67539bc6ced15b76229"
],
"read": [
"5f48c0d7ca5b58bc3b0e82e3"
]
}
}